Subject: RE: postgresql question
From: "Ralf Habacker" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Fri, 8 Nov 2002 09:50:45 +0100

> -----Original Message-----
> From: Jason Tishler [mailto:[email-masked]]
> Sent: Thursday, November 07, 2002 7:48 PM
> To: Ralf Habacker
> Cc: Cygwin
> Subject: Re: postgresql question
>
>
> Ralf,
>
> On Thu, Nov 07, 2002 at 03:18:38PM +0100, Ralf Habacker wrote:
> > > Understood.  At least PostgreSQL 7.3 (yet to be released) will build
> > > OOTB again.
> >
> > one question: Does this distribution contains a running
> > contrib/pgcrypto library?
>
> No, but all of contrib including pgcrypto build OOTB under Cygwin.
>
But some pgcyrpto functions returns different crypted hashes as under linux for
example and that is the reason why the below mentioned regression test fails.

> > For a sourceforge clone development environment with cygwin, apache/php,
> > postgresql (works great)
>
> Very cool!
>
> > and proftpd
>
> Does proftpd work for you under Cygwin?  When I tried, I discovered many
> issues even though it built OOTB.

What do you mean especially ?
I have build it with the postgre mod_sql module to use the sf clone postgresql
user data base for authenfication.

I have recognized some issues with setgeiud and so one, but had only need one
patch to disable switching to the root context. There still some warnings if
running proftd in -d9 debug mode, but it seems to work. I have done a short test
of Authentification, upload and download and it seems to work.

Additional I've got problems with getting the propper ftp client iuser id/group
from the database, but this may be a configuration error.

>
> > I especially need the md5 encryption and have encountered a problem
> > with some crypting functions:
> >
> > test init                 ... ok
> > test md5                  ... FAILED
> > test sha1                 ... FAILED
> > test hmac-md5             ... FAILED
> > test hmac-sha1            ... FAILED
> > test blowfish             ... ok
> > test rijndael             ... ok
> > test crypt-des            ... ok
> > test crypt-md5            ... FAILED
> > test crypt-blowfish       ... ok
> > test crypt-xdes           ... ok
> >
> > The cygwin mailing list(s) does not contain any usefull hints about
> > this. Any ideas about this problem ?
>
> What is the above?  It looks like a PostgreSQL regression test output,
> but I have never seen the above when I run the regression test.

$ cd <postgresql-source-root>/contrib/pgcrypto
make installcheck

As i said above, it seems to me, that there are different md5 implementations at
all. It's very confusing.
In short, postgresql create different md5 keys under cygwin and linux

I have opened an additional thread on cygwin with this stuff "md5 problems with
postgresql"

>
> BTW, I'm still looking for a cygipc beta tester:
>
>     http://cygwin.com/ml/cygwin/2002-11/msg00136.html
>
> Are you willing to help me out?
>
Jashon Tischler wrote:

>I'm proposing that the attached patch (against cygipc-1.11-1) be applied
>to cygipc since it solves the Cygwin PostgreSQL hang problems.
>Specifically, this patch changes cygipc's shmget() and semget() to
>return ENOSYS instead of EACCES if ipc-daemon is not running.

>However, I'm concerned that this change could adversely affect other
>applications (e.g., Cygwin KDE) that rely on cygipc.  Would a such a
>user be willing to try a pre-built, already patched version of cygipc?
>If so, then this package can be found at:

Have I only update the ipc-daemon or have I to rebuild all the client
applications ?

The patches let me assume that this affect only the daemon.

Ralf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/